## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check

# https://github.com/go-jose/go-jose
%global goipath         gopkg.in/square/go-jose.v2
%global forgeurl        https://github.com/go-jose/go-jose
Version:                2.6.0

%gometa -f


%global goaltipaths     gopkg.in/go-jose/go-jose.v2

%global common_description %{expand:
Package jose aims to provide an implementation of the Javascript Object
Signing and Encryption set of standards. This includes support for JSON Web
Encryption, JSON Web Signature, and JSON Web Token standards.}

%global golicenses      LICENSE LICENSE-json
%global godocs          BUG-BOUNTY.md CONTRIBUTING.md README.md\\\
                        README-jose-util.md README-json.md README-jwk-keygen.md

Name:           golang-gopkg-square-jose-2
Release:        %autorelease
Summary:        Implementation of JOSE standards (JWE, JWS, JWT) in Go

License:        BSD-3-Clause AND Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

mv json/LICENSE LICENSE-json
for d in jose-util json jwk-keygen; do
mv $d/README.md README-$d.md
done

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in jwk-keygen jose-util; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestSignerWithBrokenRand" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
export GODEBUG=x509ignoreCN=0
%gocheck
%endif

%files
%license LICENSE LICENSE-json
%doc BUG-BOUNTY.md CONTRIBUTING.md README.md
%doc README-jose-util.md README-json.md README-jwk-keygen.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 2.6.0-11
- Rebuild for golang 1.22.0

* Sun Feb 11 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.6.0-10
- Fix FTBFS - Closes rhbz#2225890 rhbz#2171556

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.6.0-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.6.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.6.0-1
- Update to 2.6.0 Close: rhbz#1968141

* Tue Sep 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.5.1-5
- Update to 2.6.0 Close: rhbz#1968141

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Aug 05 21:52:35 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.5.1-1
- Update to 2.5.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Feb 11 03:22:40 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 30 16:59:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.1-2
- Update to new macros

* Thu Apr 11 23:27:33 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.1-1
- Release 2.3.1 (#1698660)

* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.3.0-1
- Release 2.3.0 (#1689446)

* Wed Feb 20 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.2-1
- Release 2.2.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 14 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.9-1
- First package for Fedora

## END: Generated by rpmautospec
